# Generated by Django 4.2 on 2023-04-12 07:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Enter name department', max_length=200)),
                ('connection', models.CharField(help_text='Enter connection employee or department director', max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('last_name', models.CharField(max_length=100)),
                ('first_name', models.CharField(max_length=100)),
                ('surname', models.CharField(max_length=100)),
                ('photo', models.ImageField(upload_to='')),
                ('position', models.TextField(max_length=200)),
                ('salary', models.CharField(max_length=100)),
                ('age', models.CharField(max_length=100)),
                ('department', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='company_app.department')),
            ],
            options={
                'ordering': ['last_name'],
            },
        ),
    ]
